Bug 569005 - OpenCV soname breakage - rebuild needed
Summary: OpenCV soname breakage - rebuild needed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opencv
Version: 13
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-27 14:48 UTC by Haïkel Guémar
Modified: 2010-03-09 03:31 UTC (History)
10 users (show)

Fixed In Version: opencv-2.0.0-7.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-09 03:31:13 UTC


Attachments (Terms of Use)

Description Haïkel Guémar 2010-02-27 14:48:56 UTC
Description of problem:
OpenCV is moving to cmake build system since upstream has definitively removed autotools build system.
The cmake build system defines soname at 2.0.0 instead of 4.0.0, since F-13 has not been released, it should not be a problem. Package maintainers are expected to rebuild packages for F-13 and devel branches.
Changes have been imported into CVS and the package has been built, i will push the update soon for F-13

Sorry for the soname breakage (again) !

Comment 1 Haïkel Guémar 2010-02-27 17:19:29 UTC
Unicap package have been split into libunicap/libunicapgtk/libucil this week for F-11+, opencv updates for F-13/devel will be postponed until the new packages hit repositories.

Comment 2 Fedora Update System 2010-02-27 22:04:13 UTC
opencv-2.0.0-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/opencv-2.0.0-7.fc13

Comment 3 Haïkel Guémar 2010-02-28 13:25:37 UTC
My tag request for dist-f13-override has been granted, you should be able to rebuild packages as soon as koji re-generate repodata.
Let us know, when you're done, thanks.

Comment 4 Fedora Update System 2010-02-28 14:44:07 UTC
opencv-2.0.0-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update opencv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-3134

Comment 5 Fedora Update System 2010-03-02 08:45:43 UTC
php-facedetect-1.0.0-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-facedetect-1.0.0-3.fc12

Comment 6 Fedora Update System 2010-03-04 00:17:43 UTC
php-facedetect-1.0.0-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Haïkel Guémar 2010-03-05 19:39:10 UTC
From automatic reports, only mrpt remains broken. 

@jlblanco: could you rebuild mrpt as soon as possible so we could tell rel-eng to remove the buildroot override tag ?
If you experience any difficulties, please tell us.

Comment 8 Thomas Spura 2010-03-06 19:30:43 UTC
devel and F-13 is building:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2035621
http://koji.fedoraproject.org/koji/taskinfo?taskID=2035760

Should be done in a few moments.

Comment 9 Alex Lancaster 2010-03-07 06:42:11 UTC
OK looks like an update is ready to go to stable for F-13 here:

https://admin.fedoraproject.org/updates/mrpt-0.8.0-0.3.20100102svn1398.fc13

hopefully this will be added in the same push as opencv and thus cause no broken updates, but Haïkel it would probably have been best to edit your opencv update and add this package directly so it would be guaranteed to go in the same update as suggested here:

http://lists.fedoraproject.org/pipermail/devel/2010-March/132528.html

i.e. it's best if all packages that bump an .soname get pushed in one update so that all packages go at once, or not at all, that way less likely to get broken deps.  Ultimately AutoQA will try to enforce/warn the user about this, but in the meantime we have to keep track of them manually.

Comment 10 Haïkel Guémar 2010-03-07 08:03:55 UTC
Yesterday, i tried to bundle mrpt update with opencv but bodhi kept telling me that i don't have commit access for mrpt.
Bodhi probably doesn't allow grouping updates unless you have commit access or you're a proven packager.

Comment 11 Fedora Update System 2010-03-09 03:31:08 UTC
opencv-2.0.0-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.